RelayAPI

Move an idea

Reposition an idea within its group or move it to a different group.

POST
/v1/ideas/{id}/move
AuthorizationBearer <token>

API key (rlay_live_* or rlay_test_). Invite redemption also accepts a server-derived rlay_session_ bearer for a current user session.

In: header

Path Parameters

id*string

Resource ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Move an idea to a different group or position

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/ideas/string/move" \  -H "Content-Type: application/json" \  -d '{    "expected_revision": 0  }'
{  "assigned_to": "string",  "content": "string",  "converted_to_post_id": "string",  "created_at": "2019-08-24T14:15:22Z",  "group_id": "string",  "id": "string",  "media": [    {      "alt": "string",      "id": "string",      "media_id": "string",      "original_available": true,      "position": 0,      "status": "pending",      "thumbnail": "http://example.com",      "type": "image",      "url": "http://example.com"    }  ],  "position": 0,  "revision": 0,  "tags": [    {      "color": "string",      "created_at": "2019-08-24T14:15:22Z",      "id": "string",      "name": "string",      "workspace_id": "string"    }  ],  "title": "string",  "updated_at": "2019-08-24T14:15:22Z",  "workspace_id": "string"}

Found something wrong? Help us improve this page.